Bug 248451 - Review Request: perl-MasonX-Interp-WithCallbacks - Mason callback support via Params::CallbackRequest
Summary: Review Request: perl-MasonX-Interp-WithCallbacks - Mason callback support via...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 248410
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-16 20:38 UTC by Steven Pritchard
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 17:41:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-07-16 20:38:45 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-MasonX-Interp-WithCallbacks/perl-MasonX-Interp-WithCallbacks.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-MasonX-Interp-WithCallbacks-1.16-1.src.rpm
Description:
MasonX::Interp::WithCallbacks subclasses HTML::Mason::Interp in order to
provide a Mason callback system built on Params::CallbackRequest. Callbacks
may be either code references provided to the new() constructor, or methods
defined in subclasses of Params::Callback. Callbacks are triggered either
for every request or by specially named keys in the Mason request
arguments, and all callbacks are executed at the beginning of a request,
just before Mason creates and executes the request component stack.

Comment 1 Parag AN(पराग) 2007-07-25 04:56:54 UTC
I got following in build.log
[  error] Can't resolve host: 'localhost' (check /etc/hosts)
Checking whether your kit is complete...
Looks good

Checking prerequisites...
Looks good

error: Bad exit status from /var/tmp/rpm-tmp.19544 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.19544 (%build)


Comment 2 Steven Pritchard 2007-07-25 15:27:35 UTC
Can I get all the mock logs?  It builds fine for me...

Comment 3 Parag AN(पराग) 2007-07-26 03:27:28 UTC
Ok I rebuilt srpm locally and got it working now.
can you also add t/* to %doc?
Also, I will suggest to add t/* directory to %doc in your existing packages and
in future submission.
If you will be happy to add t/* in this package. Kindly provide new SRPM links
and will review it formally.


Comment 4 Steven Pritchard 2007-07-26 14:01:05 UTC
(In reply to comment #3)
> can you also add t/* to %doc?

At this point, I'd rather not.  I still haven't decided if I think this is
necessarily a good idea.  If I decide to do it, I need to be consistent.  I'll
want to go through all 100+ perl packages that I maintain and add that to all of
them, as well as modify cpanspec.  Honestly, I don't have the time to do all
that right now.

Comment 5 Parag AN(पराग) 2007-07-26 16:49:57 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > can you also add t/* to %doc?
> 
> At this point, I'd rather not.  I still haven't decided if I think this is
> necessarily a good idea.  If I decide to do it, I need to be consistent.  I'll
> want to go through all 100+ perl packages that I maintain and add that to all of
> them, as well as modify cpanspec.  Honestly, I don't have the time to do all
> that right now.
No worries :)

make test gave me
t/01basic.............ok
t/02priority..........ok
t/03keys..............ok
t/04errors............ok
t/05object............ok
t/06object_request....ok
t/07combined..........ok
t/08apache............skipped
        all skipped: Testing of apache_req requires Apache::FakeRequest
t/09pod...............ok

I assume this also will not a problem. Am i right?


Comment 6 Steven Pritchard 2007-07-26 17:00:51 UTC
(In reply to comment #5)
> t/08apache............skipped
>         all skipped: Testing of apache_req requires Apache::FakeRequest
[...]
> I assume this also will not a problem. Am i right?

Right.  That's a mod_perl 1 test.

Comment 7 Parag AN(पराग) 2007-07-27 01:12:33 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c0103a91c48b1fe79329dbd3ad977a44  MasonX-Interp-WithCallbacks-1.16.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/01basic.............ok
t/02priority..........ok
t/03keys..............ok
t/04errors............ok
t/05object............ok
t/06object_request....ok
t/07combined..........ok
t/07combined..........ok
t/08apache............skipped
        all skipped: Testing of apache_req requires Apache::FakeRequest
t/09pod...............ok
All tests successful, 1 test skipped.
Files=9, Tests=421,  7 wallclock secs ( 1.05 cusr +  0.14 csys =  1.19 CPU)
+ exit 0
+ Provides: perl(Params::Callback) = 1.17 perl(Params::CallbackRequest) = 1.17
perl(Params::CallbackRequest::Exceptions) = 1.17
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Exception::Class)
perl(Exception::Class) >= 1.10 perl(Params::CallbackRequest::Exceptions)
perl(Params::Validate) perl(Params::Validate) >= 0.59 perl(constant)
perl(strict) perl(vars)

APPROVED.


Comment 8 Steven Pritchard 2007-07-27 15:38:39 UTC
New Package CVS Request
=======================
Package Name: perl-MasonX-Interp-WithCallbacks
Short Description: Mason callback support via Params::CallbackRequest
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com


Note You need to log in before you can comment on or make changes to this bug.